Skip to main content
GET
/
webhooks
/
key
Returns the public key for verifies webhook message signatures
curl --request GET \
  --url https://api.pipevest.com/v1/webhooks/key \
  --header 'Authorization: Bearer <token>' \
  --header 'Signature: <signature>' \
  --header 'Signature-Input: <signature-input>' \
  --header 'X-Client-Id: <x-client-id>'
{
  "data": {
    "webhookId": 123456,
    "key": "ssh-ed25519 DDDDC3NzaC1lZDI1NTE5DDDFIH0qa5TtbV3FwK7EcQDTyhbrzzRGol9sjK9L0lhk56Iu test@companyx.com",
    "createdAt": 1234567890,
    "updatedAt": 1234567890
  },
  "code": 200,
  "message": "Success"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pipevest.com/llms.txt

Use this file to discover all available pages before exploring further.

See Validating Webhooks for steps on how to use this public key to verify http message signatures.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Signature
string
required

Base64 encoded signed hash of the http message request components.

Learn how signatures work

Example:

"sig1=:OTEyMjY4...A5NTNDMEQ=:"

Signature-Input
string
required

An ordered list of components that make up the signature base. It is used to recompute and verify the Signature

Learn how signatures work

Example:

"sig1=(\"Content-Type\" \"Content-Digest\"...expires=<expires>"

X-Client-Id
string
required

Unique identifier assigned to the client

Example:

"client-id"

Response

Details of an update webhook

data
object
required
code
string
required

Request response code

Example:

200

message
string
required

Request response message

Example:

"Success"